Anforderungen

Für die Nutzung von ke_questionnaire müssen u.a. folgende technische Features gegeben
sein:

Typo3-Version ab 4.3.*
PHP ab Version 5.2
• MySQL ab Version 5.0
Datenbank: Tabellenkodierung UTF8
FreeType (für PDF-Generierung)
GhostScript (für PDF-Generierung)
• TYPO3-Extension: xajax (mindestens Version 0.2.5)
• TYPO3-Extension: ke_dompdf
• TYPO3-Extension: sr_freecap (optional, bei CAPTCHA-Verwendung zwingend erforderlich)

 

Bitte beachten:
Die Generierung von PDF-Dateien mittels fpdf wird in späteren ke_questionnaire-Versionen
nicht mehr unterstützt. Bitte verwenden Sie zukünftig ausschließlich die Alternative
„ke_dompdf“.

 

Hinweise zu Javascript-Frameworks:
Ke_questionnaire nutzt intern die JS-Frameworks „jQuery“ und „xajax“. Diese werden mit der
Erweiterung standardmäßig ausgeliefert. Sofern andere Javascript-Frameworks als „jQuery“
und „xajax“ auf der Seite eingesetzt werden, kann es zu Inkompatibilitäten kommen, so
dass beispielsweise die „Open-Flash-Charts“-Auswertung im Frontend nicht angezeigt
werden kann.

Soweit möglich sollten auf den Seiten, auf denen die „OpenFlashChart“-Diagramme genutzt
werden, andere Javascript-Frameworks deaktiviert werden.

 

Hinweis zur globalen ErweiterungskonfigurationHinweis Erweiterungskonfiguration:
Nach der Installation über den TYPO3-Erweiterungsmanager können Sie Anpassungen an
den globalen Einstellungen zu ke_questionnaire vornehmen. Auch falls keine Anpassung
erforderlich sein sollte, speichern Sie die Konfiguration bitte per Klick auf den Button
„Speichern“. Werden die Einstellungen nicht gesichert, kann es bei der Generierung und
Erzeugung von CSV-Exportdateien zu Problemen kommen.

 

Hinweis zur sprachspezifischen Ausgabe:
Derzeit bietet ke_questionnaire deutsch- und englischsprachige Übersetzungen für Frontund
Backend. Standardmäßig greift TYPO3 auf die englische Sprachversion der Erweiterung
zurück (falls nicht bereits anderweitig konfiguriert). Soll die deutsche Übersetzung
verwendet werden, kann das beispielsweise über die Typoscriptanweisung
„config.language = de“ erreicht werden.

 

Updatehinweis:
Nach dem Update auf die aktuellste Version von ke_questionnaire speichern Sie bitte die
globale Erweiterungskonfiguration (vgl. Abschnitt 8) erneut ab.

Nutzen Sie für Ihre ke_questionnaire-Templates Kopien der Original-HTML-Templates in
einem separaten Ordner, aktualisieren Sie diese Templates nach der Installation und fügen
Sie entsprechend neu hinzugekommene HTML-Templates als Kopie hinzu.

Keine Kommentare

Kommentar hinzufügen

* - Pflichtfeld